import request from '@/utils/request'

// 查询质量月报S6107列表
export function listS6107(query) {
  return request({
    url: '/production/s6107/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S6107详细
export function getS6107(id) {
  return request({
    url: '/production/s6107/' + id,
    method: 'get'
  })
}

// 新增质量月报S6107
export function addS6107(data) {
  return request({
    url: '/production/s6107',
    method: 'post',
    data: data
  })
}

// 修改质量月报S6107
export function updateS6107(data) {
  return request({
    url: '/production/s6107',
    method: 'put',
    data: data
  })
}

// 删除质量月报S6107
export function delS6107(id) {
  return request({
    url: '/production/s6107/' + id,
    method: 'delete'
  })
}

// 导出质量月报S6107
export function exportS6107(query) {
  return request({
    url: '/production/s6107/export',
    method: 'get',
    params: query
  })
}